
Ceph - Feature #2052

librbd: caching

02/10/2012 04:12 PM - Sage Weil

Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee: Josh Durgin   

Category: librbd   

Target version: v0.46   

Source:  Reviewed:  

Tags:  Affected Versions:  

Backport:  Pull request ID:  

Description

Related issues:

Related to Ceph - Feature #2003: limit XFS extent fragmentation for rbd Rejected 01/30/2012

History

#1 - 02/27/2012 01:28 PM - Sage Weil

- Target version set to v0.44

- translation missing: en.field_position deleted (10)

- translation missing: en.field_position set to 1141

#2 - 02/27/2012 01:28 PM - Sage Weil

- translation missing: en.field_story_points set to 2

- translation missing: en.field_position deleted (1141)

- translation missing: en.field_position set to 1141

#3 - 02/27/2012 01:30 PM - Sage Weil

- translation missing: en.field_story_points changed from 2 to 5

- translation missing: en.field_position deleted (1141)

- translation missing: en.field_position set to 1141

#4 - 03/11/2012 02:38 PM - Sage Weil

- Target version changed from v0.44 to v0.45

- translation missing: en.field_position deleted (1149)

- translation missing: en.field_position set to 5

#5 - 03/11/2012 02:39 PM - Sage Weil

- translation missing: en.field_position deleted (6)

- translation missing: en.field_position set to 4

#6 - 03/12/2012 10:21 AM - Sage Weil

- translation missing: en.field_story_points changed from 5 to 8

- translation missing: en.field_position deleted (5)

- translation missing: en.field_position set to 4

#7 - 03/12/2012 07:08 PM - Josh Durgin
- Category set to librbd

- Status changed from New to In Progress

- Assignee set to Josh Durgin

#8 - 04/03/2012 09:15 AM - Sage Weil

- Target version changed from v0.45 to v0.46

#9 - 04/13/2012 06:37 PM - Josh Durgin

This is passing long-running fsx with osd thrashing consistently, and all the other rbd tests. I think the branch (wip-librbd-caching) is ready to merge,

although we probably want to change the name and default value of client_oc_size. I still need to add fsx and the other rbd tests to the qa suite with

caching enabled.

#10 - 04/13/2012 11:02 PM - Sage Weil

- Status changed from In Progress to Resolved
